Skip to main content
GET
/
v2
/
event-types
/
{eventTypeId}
/
crm-sync-errors
List CRM sync errors for an event type
curl --request GET \
  --url https://api.cal.com/v2/event-types/{eventTypeId}/crm-sync-errors \
  --header 'Authorization: <authorization>' \
  --header 'cal-api-version: <cal-api-version>'
import requests

url = "https://api.cal.com/v2/event-types/{eventTypeId}/crm-sync-errors"

headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'cal-api-version': '<cal-api-version>', Authorization: '<authorization>'}
};

fetch('https://api.cal.com/v2/event-types/{eventTypeId}/crm-sync-errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "id": "019ea850-efc7-7a48-8508-aed31b72ce68",
      "credentialId": 123,
      "eventTypeId": 49,
      "appSlug": "salesforce",
      "timestamp": "2026-06-08T17:38:57.107Z",
      "errorCode": "FIELD_CUSTOM_VALIDATION_EXCEPTION",
      "errorMessage": "Validation rule blocked this update",
      "droppedFields": [
        "Custom_Field__c"
      ],
      "rawMessage": "FIELD_CUSTOM_VALIDATION_EXCEPTION: Validation rule blocked this update",
      "eventCreated": false,
      "bookingUid": "booking_uid_123",
      "dismissedAt": "2026-06-08T17:40:00.000Z"
    }
  ],
  "pagination": {
    "nextCursor": "eyJ2IjoxLCJzb3J0VXVpZCI6IjAxOWVhODUwLWVmYzctN2E0OC04NTA4LWFlZDMxYjcyY2U2OCJ9",
    "hasMore": true
  }
}

Headers

cal-api-version
string
default:2024-06-14
required

Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

eventTypeId
number
required

Query Parameters

appSlug
string
required

CRM app slug connected to the event type, for example salesforce.

Example:

"salesforce"

includeDismissed
boolean
default:false

When true, returns dismissed historical errors as well as active errors. Defaults to false.

Example:

true

cursor
string

Opaque cursor from pagination.nextCursor. Omit to fetch the first page of CRM sync errors.

Example:

"eyJ2IjoxLCJzb3J0VXVpZCI6IjAxOWVhODUwLWVmYzctN2E0OC04NTA4LWFlZDMxYjcyY2U2OCJ9"

limit
number
default:50

Maximum number of CRM sync errors to return.

Required range: 1 <= x <= 100
Example:

50

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required

CRM sync errors scoped to the requested event type and connected CRM app.

pagination
object
required